#hero-image {
    object-position: 50% 10%;
}

picture:has(#hero-image)::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: linear-gradient(to bottom, rgba(0, 0, 0, .25) 10%, rgba(0, 0, 0, .0))
}

#hero-title {
    top: 96px;
    width: 45%;
}

#features-section {
    gap: 32px;
}

#features {
    display: grid;
    gap: 64px;
    grid-template-rows: 1fr 1fr 1fr;
    grid-template-columns: 1fr 1fr;
    padding: 0;
    margin: 0;
}

#features>li {
    list-style: none;
    padding: 0;
}

#features>li>.row {
    gap: 24px;
}

#features>li svg {
    flex: 0 0 64px;
    display: block;
}

#features>li svg>use {
    transition: color .3s;
}

#features>li:hover svg>use {
    color: var(--secondary);
}

#application-section {
    padding-top: 256px;
}

#application-section p {
    margin: 0;
}

#application-circle {
    width: 25vh;
    height: 25vh;
    top: 0;
    transform: translate(55%, -45%);
}

#application-grid {
    display: grid;
    gap: 64px;
    grid-template-columns: 1fr 1fr;
}

#apps {
    margin-top: 16px;
    width: 300px;
}

#apps img {
    filter: drop-shadow(0px 7px 4px var(--shadow));
}

@media only screen and (max-width: 1300px) {
    #hero-title {
        box-sizing: content-box;
    }

    #features {
        grid-template-columns: 1fr;
        grid-template-rows: unset;
    }

    #features>li {
        max-width: 768px;
    }

    #application-section {
        padding-top: 196px;
    }
}

@media only screen and (max-width: 1000px) {
    #application-grid {
        grid-template-columns: 1fr;
    }

    #application-grid>:first-child {
        display: none;
    }

    #application-section {
        padding-top: 64px;
    }
}

@media only screen and (max-width: 768px) {
    #hero-title {
        width: auto;
    }

    #features {
        gap: 32px;
    }

    #apps {
        width: 250px;
    }

    #application-circle {
        transform: translate(90%, -45%);
    }
}

@media only screen and (max-width: 480px) {
    #application-circle {
        transform: translate(20%, -45%);
    }
}
